This library contains functions for common matrix computations.

A matrix is stored in the data structure [Matrix](.///Matrix/). It has an array of rows which has an array of values for each column. Matrices are accessed as row and then column, i.e. y, x. This is contrast to coordinate systems, which are accessed as x, y.

It contains functions for real matrices:
 * Basic arithmetic on matrices: [add](.///Add), [subtract](.///Subtract), [multiply](.///Multiply).
 * Basic arithmetic on matrices and scalars, including [element wise power](.///ElementWisePower).
 * Creating matrix structures, including [identity](.///CreateIdentityMatrix) and [diagonal matrices](.///CreateDiagonalMatrixFromArray).
 * Further operations on matrices, including [transpose](.///Transpose) and [trace](.///Trace).
 * Advanced operations on matrices, including [inverse](.///Inverse), [finding the characteristic polynomial](.///CharacteristicPolynomial), [eigenvectors](.///Eigenvectors), [eigenvalues](.///Eigenvalues), [determinants](.///Determinant) and [Gaussian elimination](.///GaussianElimination), [QR Decomposition](.///QRDecomposition).
 * Epsilon comparison on matrices.
 * Numeric methods: [QR Algorithm](.///QRAlgorithm), [Inverse Power Method](.///InversePowerMethod).
 
It contains functions for complex matrices:
  * Basic arithmetic on matrices: [add](.///AddComplex), [subtract](.///SubtractComplex), [multiply](.///MultiplyComplex).
  * Basic arithmetic on matrices and scalars, including [element wise power](.///ElementWisePowerComplex).
  * Creating matrix structures, including [identity](.///CreateComplexIdentityMatrix).
  * Further operations on matrices, including [transpose](.///TransposeComplex) and [trace](.///TraceComplex).
  * Advanced operations on matrices, including [inverse](.///InverseComplex), [determinants](.///DeterminantComplex) and [eigenvalues](.///EigenvaluesComplex).

More functions are seen in the list below.