This function computes the inverse of a general m-by-n matrix. For a matrix `M` this is usually written `M^-1`. Only square matrices can be inverted. If a matrix is multiplied with its inverse, the result is an identity matrix of the same size.

```
M * M^-1 = I
```

This implementation works by computing the [determinant](https://en.wikipedia.org/wiki/Determinant) and the [adjoint matrix](https://en.wikipedia.org/wiki/Adjugate_matrix).

The function takes a matrix as the first input and returns two things: Whether the inverse operation succeeded is returned directly, and the inverse matrix itself is returned in the second argument.