package tests;

import Matrices.Matrices.Matrix;
import references.references.NumberReference;

import static ComplexMatricesTest.ComplexMatricesTest.*;
import static Matrices.Matrices.Matrices.*;
import static MatricesTest.MatricesTest.*;
import static references.references.references.*;

public class tests {
    public static double test(){
        NumberReference failures;
        Matrix m;
        double [] diag;

        failures = CreateNumberReference(0d);

        testDeterminant(failures);
        testInverse(failures);
        testInverseAlt2(failures);
        TestCholesky(failures);
        testCharacteristicPolynomial(failures);
        testCharacteristicPolynomial2(failures);
        testCharacteristicPolynomial3(failures);
        testComplexCharacteristicPolynomial(failures);
        testComplexCharacteristicPolynomial2(failures);
        testEigenValues(failures);
        testEigenValues2(failures);
        testEigenValues3QR(failures);
        testComplexEigenValues(failures);
        testComplexEigenValues2(failures);
        testGaussianEliminationInto(failures);
        testEigenpairs(failures);
        testComplexMatrices(failures);

        testQRDecomposition(failures);
        testQRDecomposition2(failures);
        testQRDecomposition3(failures);
        testComplexInversePowerMethod(failures);
        testComplexEigenpairs(failures);
        testLUDecomposition(failures);

        TestSingularValueDecomposition1(failures);
        TestSingularValueDecomposition2(failures);
        TestSingularValueDecomposition3(failures);
        TestSingularValueDecomposition4(failures);
        TestSingularValueDecomposition5(failures);

        m = CreateSquareMatrix(2d);
        m.r[0].c[0] = 1d;
        m.r[0].c[1] = 2d;
        m.r[1].c[0] = -3d;
        m.r[1].c[1] = 2d;

        Transpose(m);
        ElementWisePower(m, 2d);
        m = CreateDiagonalMatrixFromArray(m.r[0].c);
        diag = new double [2];
        ExtractDiagonal(m, diag);

        return failures.numberValue;
    }
}
